package cn.iocoder.yudao.module.system.dal.mysql.biz;

/**
 * @Author: jinyd
 * @CreateTime: 2024/8/19  11:34
 * @Description:
 * @Version: 4.0
 */

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.system.api.bpm.vo.BedChangeRecordRespVO;
import cn.iocoder.yudao.module.system.api.bpm.vo.PriceChangeRecordRespVO;
import cn.iocoder.yudao.module.system.api.bpm.vo.*;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.*;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyChangeRecordDO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyInfoDO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ManufacturerDO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 床位变更记录 Mapper
 *
 * @author 系统管理员
 */
@Mapper
public interface ManufacturerMapper extends BaseMapperX<ManufacturerDO> {

    default PageResult<ManufacturerDO> selectPage(ManufacturerPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ManufacturerDO>()
                .likeIfPresent(ManufacturerDO::getName, reqVO.getName())
                .eqIfPresent(ManufacturerDO::getDockingStatus, reqVO.getDockingStatus())
                .eqIfPresent(ManufacturerDO::getWhiteListIp, reqVO.getWhiteListIp())
                .eqIfPresent(ManufacturerDO::getRemark, reqVO.getRemark())
                .eqIfPresent(ManufacturerDO::getOfficialUrl, reqVO.getOfficialUrl())
                .eqIfPresent(ManufacturerDO::getManufacturerAccount, reqVO.getManufacturerAccount())
                .eqIfPresent(ManufacturerDO::getManufacturerPassword, reqVO.getManufacturerPassword())
                .betweenIfPresent(ManufacturerDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(ManufacturerDO::getId));
    }


}
